import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import moment from "moment/moment";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const avicultureHatchingRequestsService = createAsyncThunk(
  "AVICULTURE_HATCHING_REQUESTS_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const today = "&today";
    d = d || moment(new Date()).format("YYYY-MM-DD");
    const { data, status } = await axios.get(
      "Poultry_Request/?role=" + getRoleFromUrl() + today,
      {
        params: {
          date1: d.selectedDate1,
          date2: d.selectedDate2,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
